[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Inconsistent error in ssh installation


I have noticed a very strange installation problem with the ssh which was
just uploaded to the frozen distribution today (1.2.3-5).  I upgraded it
on about 10 systems and 5 install fine but the other 5 give an error on
the post-installation script.  I have checked the installed packages on
two identical systems, (one of which shows the error and the other not)
and there is no apparent difference in the lists.

The error I am getting when I try to configure the package is below:

rabi:/home/segre# dpkg --pending --configure
Setting up ssh (1.2.3-5) ...
dpkg: error processing ssh (--configure):
 subprocess post-installation script returned error exit status 10
Errors were encountered while processing:

When I poke around in the ssh.postinst script, I find that the error
occurs in the code fragment:

# sort out whether we're installing ssh suid
test -e /usr/share/debconf/confmodule && {
  . /usr/share/debconf/confmodule
  db_version 2.0
  db_get ssh/SUID_client

I suspect that this is not a bug because it works on some systems but not
others, however, I am at a loss.  I am typically getting the problem on
systems which have a relatively fresh frozen installation.

Any ideas?


Carlo U. Segre -- Associate Professor of Physics
Illinois Institute of Technology
Voice: 312.567.3498            Fax: 312.567.3494
Carlo.Segre@iit.edu    http://www.iit.edu/~segre

Reply to: